Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.admin.event
Class CategoryUpdatedEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.CategoryEvent
              org.blojsom.plugin.admin.event.CategoryUpdatedEvent

public class CategoryUpdatedEvent
extends CategoryEvent

CategoryUpdatedEvent

Since:
  blojsom 3.0
Version:
  $Id: CategoryUpdatedEvent.java,v 1.1 2006/03/20 21:30:49 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.plugin.admin.event.CategoryEvent
`_blog, _category`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`CategoryUpdatedEvent(java.lang.Object source, java.util.Date timestamp, Category category, Blog blog)` Create a new event indicating a category was updated in the system.

Methods inherited from class org.blojsom.plugin.admin.event.CategoryEvent
`getBlog, getCategory`

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryUpdatedEvent

    public CategoryUpdatedEvent(java.lang.Object source,
                                java.util.Date timestamp,
                                Category category,
                                Blog blog)

  Create a new event indicating a category was updated in the system.

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `category` - `Category`
  `blog` - `Blog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD